Agent Terminals
List current owned browser contexts for Live Preview in one assistant thread
List current owned browser contexts for Live Preview in one assistant thread. The request requires an authenticated caller and enforces terminal ownership, access grants, and activity visibility.
GET
/
api
/
v1
/
vault
/
terminals
/
{agentTerminalId}
/
browser-sessions
List current owned browser contexts for Live Preview in one assistant thread
curl --request GET \
--url https://api.revoengine.com/api/v1/vault/terminals/{agentTerminalId}/browser-sessions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/vault/terminals/{agentTerminalId}/browser-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/vault/terminals/{agentTerminalId}/browser-sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sessions": [
{
"threadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentTerminalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentTerminalWorkspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"browserSessionId": "<string>",
"deviceName": "<string>",
"workspaceName": "<string>",
"profile": {
"id": "<string>",
"name": "<string>",
"persistent": true,
"default": true
},
"capabilities": [
"<string>"
],
"tabId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profiles": [
{
"id": "<string>",
"name": "<string>",
"persistent": true,
"default": true
}
],
"tabs": [
{
"tabId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"origin": "<string>",
"isActive": true
}
],
"browserObservation": {
"id": "<string>",
"tabId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"width": 1920,
"height": 1080
}
}
],
"profiles": [
{
"id": "<string>",
"name": "<string>",
"persistent": true,
"default": true
}
],
"online": true
}Authorizations
Bearer JWT token or API Key (sk-*).
Path Parameters
⌘I
List current owned browser contexts for Live Preview in one assistant thread
curl --request GET \
--url https://api.revoengine.com/api/v1/vault/terminals/{agentTerminalId}/browser-sessions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/vault/terminals/{agentTerminalId}/browser-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/vault/terminals/{agentTerminalId}/browser-sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sessions": [
{
"threadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentTerminalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentTerminalWorkspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"browserSessionId": "<string>",
"deviceName": "<string>",
"workspaceName": "<string>",
"profile": {
"id": "<string>",
"name": "<string>",
"persistent": true,
"default": true
},
"capabilities": [
"<string>"
],
"tabId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profiles": [
{
"id": "<string>",
"name": "<string>",
"persistent": true,
"default": true
}
],
"tabs": [
{
"tabId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"origin": "<string>",
"isActive": true
}
],
"browserObservation": {
"id": "<string>",
"tabId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"width": 1920,
"height": 1080
}
}
],
"profiles": [
{
"id": "<string>",
"name": "<string>",
"persistent": true,
"default": true
}
],
"online": true
}
